| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
uiVarWizard Class Referenceabstract
uiTools

'Server' for flexible wizards. More...

`#include <uivarwizard.h>`

Inheritance diagram for uiVarWizard:
[legend]

## Public Member Functions
virtual | ~uiVarWizard ()
IOPar & | pars ()
const IOPar & | pars () const
virtual void | raiseCurrent ()=0
int | state () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static int | cCancelled ()
static int | cFinished ()
static int | cWait4Dialog ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Public Attributes
Notifier< uiVarWizard > | processEnded

## Protected Member Functions
| uiVarWizard (uiParent *)
virtual void | closeDown ()
virtual void | doPart ()=0
| default -1 meaning: close down
void | nextAction ()
| Call in constructor of subclass.

## Static Protected Member Functions
static bool | mustLeave (uiVarWizardDlg *)

## Protected Attributes
int | afterfinishedstate_
uiParent * | parent_
IOPar | pars_
int | state_

## Detailed Description

'Server' for flexible wizards.

This server launches subclasses of uiVarWizardDlg.

<>

## Constructor & Destructor Documentation

## ◆ ~uiVarWizard()

virtual uiVarWizard::~uiVarWizard | ( |  | ) |
| virtual

## ◆ uiVarWizard()

uiVarWizard::uiVarWizard | ( | uiParent * |  | ) |
| protected

## Member Function Documentation

## ◆ cCancelled()

static int uiVarWizard::cCancelled | ( |  | ) |
| inline static

## ◆ cFinished()

static int uiVarWizard::cFinished | ( |  | ) |
| inline static

## ◆ closeDown()

virtual void uiVarWizard::closeDown | ( |  | ) |
| protected virtual

Reimplemented in uiSeisBayesClass, and uiSEGYRead.

## ◆ cWait4Dialog()

static int uiVarWizard::cWait4Dialog | ( |  | ) |
| inline static

## ◆ doPart()

virtual void uiVarWizard::doPart | ( |  | ) |
| protected pure virtual

default -1 meaning: close down

Implemented in uiSeisBayesClass, and uiSEGYRead.

## ◆ mustLeave()

static bool uiVarWizard::mustLeave | ( | uiVarWizardDlg * |  | ) |
| static protected

## ◆ nextAction()

void uiVarWizard::nextAction | ( |  | ) |
| protected

Call in constructor of subclass.

## ◆ pars() [1/2]

IOPar & uiVarWizard::pars | ( |  | ) |
| inline

## ◆ pars() [2/2]

const IOPar & uiVarWizard::pars | ( |  | ) | const
| inline

## ◆ raiseCurrent()

virtual void uiVarWizard::raiseCurrent | ( |  | ) |
| pure virtual

Implemented in uiSeisBayesClass, and uiSEGYRead.

## ◆ state()

int uiVarWizard::state | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ afterfinishedstate_

int uiVarWizard::afterfinishedstate_
| protected

## ◆ parent_

uiParent* uiVarWizard::parent_
| protected

## ◆ pars_

IOPar uiVarWizard::pars_
| protected

## ◆ processEnded

Notifier<uiVarWizard> uiVarWizard::processEnded

## ◆ state_

int uiVarWizard::state_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025